Bug 234732 - Core 2 events have wrong names
Core 2 events have wrong names
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: oprofile (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: William Cohen
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-31 22:30 EDT by Ulrich Drepper
Modified: 2008-05-06 21:23 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 21:23:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ulrich Drepper 2007-03-31 22:30:23 EDT
Description of problem:
Some of the events for Core 2 processors (and maybe other variants) have wrong
names.  The architecture manual is the ultimate reference and deviating means
causing problems.

Version-Release number of selected component (if applicable):
oprofile-0.9.2-8.fc7

How reproducible:
always

Steps to Reproduce:
1.opcontrol -e SSE_PRE_MISS:500:0:0:1
2.
3.
  
Actual results:
No such event "SSE_PRE_MISS"


Expected results:
Nothing.  Should work fine.

SSE_PRE_MISS is currently SSE_PREF_MISS.

Additional info:
I'll commit the report right away and might add to it if I find more problems.
Comment 1 Ulrich Drepper 2007-04-01 00:55:59 EDT
Next Typo:

STORE_BLOCK: (counter: all)
[...]
        0x08: NOOP      A store is blocked due to a conflict with an external or
 internal snoop.


This is supposed to be "SNOOP" and not "NOOP".
Comment 2 Ulrich Drepper 2007-04-01 01:29:52 EDT
BUS_TRAN_BRD
BUS_TRAN_RFO
BUS_TRAN_WB
BUS_TRAN_IFETCH
BUS_TRAN_INVAL
BUS_TRAN_PWR
BUS_TRAN_BURST
BUS_TRAN_MEM
BUS_TRAN_ANY

These all should be BUS_TRANS_* (note the extra 'S').
Comment 3 Geoff Gustafson 2007-09-14 15:08:43 EDT
Checking w/ Intel on updating the documentation.
Comment 4 William Cohen 2007-10-05 11:53:40 EDT
Any progress checking with Intel people about the canonical names for the core2
events?
Comment 5 Geoff Gustafson 2007-10-05 12:27:59 EDT
No response to my email, so I sent another one.
Comment 6 Bug Zapper 2008-04-03 19:52:49 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 7 Bug Zapper 2008-05-06 21:23:34 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.